Skip to main content
PATCH
/
api
/
v1
/
partners
/
{id}
Update a partner
curl --request PATCH \
  --url https://api.introw.io/api/v1/partners/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "Acme Strategic Partners",
  "tierId": "tier_456",
  "partnerOwnerId": "user_456"
}
'
{
  "data": {
    "id": "ptn_01HVK6Y8Z8Q7J8J8J8J8J8J8J8",
    "name": "Acme Partners",
    "domain": "acme.example",
    "externalCompanyId": "company_123",
    "externalId": "partner_123",
    "externalIdType": "PARTNER",
    "managerEmail": "[email protected]",
    "categories": [
      "Reseller"
    ],
    "tierId": "tier_123",
    "phaseId": "phase_123",
    "owner": null,
    "manager": null,
    "partnerObjectCrmProperties": {
      "name": "Acme Partners"
    },
    "companyCrmProperties": {
      "domain": "acme.example"
    },
    "crmProperties": {
      "name": "Acme Partners"
    },
    "status": "active",
    "createdAt": "2026-05-08T12:00:00.000Z",
    "updatedAt": "2026-05-08T12:00:00.000Z"
  }
}

Authorizations

x-api-key
string
header
required

Introw API key shown once when the credential is created.

Path Parameters

id
string
required

Partner identifier.

Minimum string length: 1

Body

application/json
name
string

Partner display name.

Required string length: 1 - 200
domain
string | null

Partner company domain, when known.

Required string length: 1 - 255
portalAccess
enum<string>

Access mode used when publishing the partner's portal. Only takes effect together with experienceTemplateId.

Available options:
RESTRICTED_USERS,
RESTRICTED_DOMAINS
tierId
string

Identifier of the tier to assign to the partner.

Minimum string length: 1
experienceTemplateId
string

Identifier of the experience template to publish for the partner.

Minimum string length: 1
phaseId
string

Identifier of the lifecycle phase to assign to the partner.

Minimum string length: 1
partnerOwnerId
string

Identifier of the Introw user to assign as the partner owner.

Minimum string length: 1

Response

Partner updated successfully.

data
object
required